# Charm Overview

Abot-Analytics charm allows the graphical representation of the feature file execution status using Kibana and Elastic-search.

It should typically be deployed alongside the System Under Test(SUT), such as abot-ims-basic so that the feature file execution results can be transferred to the Abot-Analytics charm in order to be graphically represented.

At presesnt the results are shown for the selected time interval based on the feature file names and the tag names.

# Viewing Report
 - The report UI can then be viewed by accessing the below mentioned URL.
    http://[abot-analytics ip]:5601
    Eg : http://192.168.15.91:5601
    
 
# Deploying the charm
The charm can be deployed using the following command:

>$ charm pull cs:~abotcharm/trusty/abot-analytics

> juju deploy $PWD/<unit name> --constraints tags=<tags>  --series <series name>

  where 
  <unit name> is the name of the unit such as "abot-analytics"
  <tags> specified the tag of the machine were the charm is to be deployed
  <series name> is the name of the series wthether trusty or xenial
  
Eg :
>$ charm pull cs:~abotcharm/trusty/abot-analytics
>
> juju deploy $PWD/abot-analytics --constraints tags=abota --series trusty

Once the charm is deployed and is waiting for the relationship to be added. The following command is needed to be executed to add the relationship between the abot-analytics and abot-ims-basic charms
>$ juju add-relation abot-ims-basic abot-analytics

